QGIS 3.2 Bonn never opens! (and 2.18.15 is having troubles too)
Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 27156

Description

I am unable to open QGIS 3.2 Bonn. The initial loading display appears ("Setting up the GUI", "Starting Python") and then it never actually

opens. I do not get any error messages when the program fails to open. I have uninstalled and reinstalled several times (worried that this

could have dug me in a deeper hole now... path connection issues?) but nothing has changed. I am also having problems with my earlier

version of QGIS 2.18.15. This version will open, but I do not have any of the standard ftools available in the vector or raster dropdown

menu... and I am unable to find them in the plugins to add myself. Basically, at this point I am unable to use any of the versions of QGIS I

have at my disposal, so any help would be greatly appreciated!

I am not very savvy when it comes to behind the scenes of software... so I am nervous to start manipulating and changing too much

without assistance, and potentially making things worse.

History

#1 - 2018-07-04 10:19 AM - Harrissou Santanna

I am also having problems with my earlier version of QGIS 2.18.15. This version will open, but I do not have any of the standard ftools available in

the vector or raster dropdown menu... and I am unable to find them in the plugins to add myself.

Since QGIS 2.16.0 (for fTools ie Vector menu) and 2.18.0 (for GDAL ie Raster menu), you need to enable the Processing plugin to have the menus appear

in QGIS dialog as mentioned in https://docs.qgis.org/2.18/en/docs/user_manual/introduction/qgis_gui.html#vector

#2 - 2018-07-04 12:32 PM - Giovanni Manghi

- Status changed from Open to Feedback

Seems to be likely a local issue.

Please try removing the .qgis2 and .qgis3 folders (backup them first) and then try start qgis again.

#3 - 2018-08-15 11:51 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
